=== debian/changelog ===
freeciv (2.4.2-1) unstable; urgency=medium

  * Imported Upstream version 2.4.2.
  * debian/control:
    - Remove alternative dependencies on fonts-japanese-gothic and
      fonts-vlgothic since the former package does not exist and the latter was
      actually never used.
    - Change -data package dependency to freeciv-data (= ${source:Version}).
      This is a simpler expression that does apparently the same as using an >=
      and <= expression.
  * Update themes_sdl_use_system_fonts.diff. Use the correct paths to system
    font files.
  * freeciv-data: Install appdata files to /usr/share/appdata.
  * Add Forwarded header to add-keywords-to-desktop-files.patch.

 -- Markus Koschany <apo@gambaru.de>  Wed, 12 Feb 2014 17:02:14 +0100

freeciv (2.4.1-1) unstable; urgency=medium

  * Imported Upstream version 2.4.1. (Closes: #730868)
  * Add myself to Uploaders.
  * Update debian/copyright to copyright format 1.0.
    - Add missing Expat and fonts licenses.
  * Bump compat level to 9 and require debhelper >= 9.
  * Improve the package description of Freeciv's clients. (Closes: #657195)
    (LP: #202327)
  * Add menu icon to menu files.
    - Add imagemagick to Build-Depends-Indep. Convert icons in
      dh_auto_build-indep target. Add icon entry to menu files. Clean xpm files
      in debian/rules. (Closes: #726221)
  * Ensure the package can be built. Do not remove hidden quilt .pc directory
    in dh_clean. (Closes: #598226)
  * debian/rules:
    - Build with --parallel.
    - Use dh_auto_configure instead of configure command and pass dpkg's
      buildflags via dh_auto_configure to the build system.
    - Use MULTIARCH paths due to compat level 9 and remove *.la and *.a files
      in multiarch library paths.
    - Use --enable-sys-lua configure option.
      Build with Debian's system lua libraries instead of the embedded ones.
    - Do not export DH_VERBOSE=1. Disable DH's verbose build.
    - Export DEB_BUILD_MAINT_OPTIONS = hardening=+all.
      Enable all hardening flags since freeciv is a network and multiplayer
      game thus it benefits greatly from additional security features.
    - Verbose build. Use --disable-silent-rules. Don't hide possible compiler
      warnings.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed. Avoid useless
      dependencies.
  * Declare compliance with Debian policy 3.9.5.
  * debian/control:
    - Use canonical VCS-fields.
    - Add libtolua-dev and libtolua++5-1-dev to Build-Depends.
    - Remove versioned build-dependency on dpkg (>= 1.15.7).
      It is trivially satisfied.
    - Tighten dependency on freeciv-data. Use
      freeciv-data (>= ${source:Upstream-Version}),
      freeciv-data (<= ${source:Version}),
    - Replace versioned dependencies on freeciv-server with ${binary:Version}
      substvar. Use a substvar instead of changing the versioned dependency
      every time by hand.
  * wrap-and-sort -sab
  * Update debian/watch. Detect only stable releases.
  * Drop freeciv-data.NEWS. It refers to an obsolete version of freeciv.
  * Remove debian/tmp from install files. Not needed.
  * Drop use_system_m4.diff. The patch was never complete.
  * Install all documentation in doc subdirectory.
    - Update freeciv-data.docs and install all documentation except the
      Makefiles, man pages and INSTALL files.
  * Link freeciv-gtk3.6 to freeciv-client.6. Both gtk clients share the same
    information.
  * New: add-keywords-to-desktop-files.patch.
  * Install upstream freeciv-sdl.desktop file.
  * freeciv-data.README.Debian. Remove obsolete notes about Xaw3D.
  * Drop README.source. Hardening is fully implemented now.

 -- Markus Koschany <apo@gambaru.de>  Sat, 01 Feb 2014 12:12:50 +0100

freeciv (2.4.0-1) unstable; urgency=low

  * New upstream version.  closes: #723838.
    - Drop use_system_lua5.1.diff (obsolete).
    - Update use_system_m4.diff.
    - Refresh increase_minimum_citydlg.diff.
  * Add build dependency on libcurl.
  * Install /etc/freeciv/database.lua conffile.
  * Build (experimental) gtk3 client too.
  * Have freeciv-client-gtk Recommend gtk2-engines-pixbuf.
    closes: #677891.

 -- Clint Adams <clint@debian.org>  Thu, 17 Oct 2013 12:20:05 -0400

freeciv (2.3.4-2) unstable; urgency=low

  * Change SDL client font dependencies because of package renames.
    closes: #721848.

 -- Clint Adams <clint@debian.org>  Mon, 30 Sep 2013 11:22:10 -0400
