=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
 Clint Adams <clint@debian.org>,
 Karl Goetz <karl@kgoetz.id.au>,
 Markus Koschany <apo@gambaru.de>
Standards-Version: 3.9.5
Homepage: http://www.freeciv.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/freeciv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/freeciv.git
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 gettext,
 gnulib,
 libbz2-dev,
 libcurl4-gnutls-dev,
 libesd0-dev,
 libgtk-3-dev,
 libgtk2.0-dev,
 liblua5.1-0-dev,
 libpng-dev | libpng12-dev,
 libreadline-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libtolua++5.1-dev,
 libtolua-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 python-minimal,
 x11proto-core-dev,
 xaw3dg-dev,
 zlib1g-dev
Build-Depends-Indep:
 imagemagick

Package: freeciv-client-extras
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is a collection of supporting scripts and tools which may be
 useful to a Freeciv player. These include:
  * freeciv-manual: Generate an HTML manual for freeciv-server
  * freeciv-modpack: GTK+ modpack, ruleset and tileset downloader

Package: freeciv-client-gtk
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version}),
 gtk2-engines-pixbuf
Suggests:
 freeciv-client-extras,
 freeciv-sound
Provides:
 freeciv,
 freeciv-client
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK+ version of Freeciv and the most sophisticated and recommended
 client to play the game.

Package: freeciv-client-sdl
Architecture: any
Depends:
 fonts-arphic-uming,
 fonts-dejavu-core,
 fonts-ipafont-gothic,
 fonts-unfonts-core,
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-sound
Provides:
 freeciv,
 freeciv-client
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv is based on SDL, the Simple DirectMedia Layer library.
 It is recommended to install the »freeciv-client-gtk« package and to use the
 GTK+ client unless you really want to try this one. The SDL client offers a
 different look&feel but lacks some functionality of the GTK+ client.

Package: freeciv-client-xaw3d
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-sound
Provides:
 freeciv-client
Description: Civilization turn based strategy game (Xaw3D client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv uses the Xaw3D library. It is recommended to install
 the »freeciv-client-gtk« package and to use the GTK+ client unless you really
 want to try this one. The Xaw3D client offers a different look&feel but lacks
 some functionality of the GTK+ client.

Package: freeciv-data
Architecture: all
Depends:
 ${misc:Depends}
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-server
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 freeciv-client
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-sound-standard
Architecture: all
Depends:
 ${misc:Depends}
Provides:
 freeciv-sound
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.
