## freeciv 2.4.3

=== debian/changelog ===
freeciv (2.4.3-3) unstable; urgency=medium

  * Make gtk2-engines-pixbuf a full dependency of freeciv-client-gtk since it
    is required to display GTK-2 themes properly. (Closes: #765501)
  * Add empty-governments.patch.
    Fix empty government list in menu (backport of upstream SVN commit 26427).
    Ensure the menus are really created before performing any operations on
    them. Thanks to Rogier for the report. (Closes: #764706)
  * Add BindAll.patch.
    Fix socket binding and ensure that the client is always able to connect to
    local servers.
    Thanks to Xavier Cartron for the report and Jacob Nevins for the patch.
    (Closes: #757876)
  * Rename file extensions of patches from diff to patch.
  * Update Vcs-Browser field to new canonical address.
  * freeciv-client-gtk: Clarify in the package description that the GTK+ 3
    client is still in an experimental state and that it is recommended to use
    the GTK+ 2 version instead.

 -- Markus Koschany <apo@gambaru.de>  Mon, 20 Oct 2014 13:18:45 +0200

freeciv (2.4.3-2) unstable; urgency=medium

  * Ensure that Freeciv can be built twice in a row.
    debian/rules: Copy mkinstalldirs script to bootstrap directory because it
    is removed when the build system is autoreconfigured for the second time.
    This prevents a FTBFS in subsequent runs. (Closes: #764116)
  * Build gtk2, gtk3, sdl, xaw and stub clients explicitly.
    Change configure option --enable-client=all to
    --enable-client=gtk2,gtk3,sdl,xaw,stub to ensure that the qt client is not
    built by accident in a non-clean build environment. (Closes: #764114)
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@gambaru.de>  Mon, 06 Oct 2014 01:20:14 +0200

freeciv (2.4.3-1) unstable; urgency=medium

  * Imported Upstream version 2.4.3.
  * Remove autotools_dev. Build only with dh_autoreconf.
  * debian/rules: Replace rm -f with -delete in find command.

 -- Markus Koschany <apo@gambaru.de>  Wed, 13 Aug 2014 19:24:46 +0200
