=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@gambaru.de>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.freeciv.org/
 Vcs-Git: git://anonscm.debian.org/pkg-games/freeciv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/freeciv.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/freeciv.git
 Build-Depends:
- autotools-dev,
  debhelper (>= 9),
  dh-autoreconf,
  gettext,
@@ -61,11 +60,11 @@
 Architecture: any
 Depends:
  freeciv-data (= ${source:Version}),
+ gtk2-engines-pixbuf,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
  freeciv-server (= ${binary:Version}),
- gtk2-engines-pixbuf
 Suggests:
  freeciv-client-extras,
  freeciv-sound
@@ -77,8 +76,9 @@
  In this game, each player becomes leader of a civilisation, fighting to
  obtain the ultimate goal: the extinction of all other civilisations.
  .
- This is the GTK+ version of Freeciv and the most sophisticated and recommended
- client to play the game.
+ This is the GTK+ 2 and GTK+ 3 version of Freeciv. The GTK+ 3 version is still
+ in an experimental state. Please use the GTK+ 2 client which is the most
+ sophisticated and recommended client to play the game.
 
 Package: freeciv-client-sdl
 Architecture: any
