=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,11 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autotools_dev,autoreconf
+	dh $@ --parallel --with autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf --exclude=bootstrap/mkinstalldirs
+	cp debian/mkinstalldirs bootstrap/mkinstalldirs
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -28,7 +29,7 @@
 		--datadir=\$${prefix}/share/games \
 		--bindir=\$${prefix}/games \
 		--enable-debug=no \
-		--enable-client=all \
+		--enable-client=gtk2,gtk3,sdl,xaw,stub \
 		--with-ggz-server=no \
 		--with-ggz-client=no \
 		--enable-ipv6=yes \
@@ -96,7 +97,7 @@
 	dh_clean
 	rm -f freeciv.xpm
 	rm -f freeciv-server.xpm
-	find . -name '*.o' -exec rm -f {} \;
-	find . -name '.libs' -exec rm -rf {} \;
-	find . -name '.dists' -exec rm -rf {} \;
+	find . -name '*.o' -delete
+	find . -name '.libs' -delete
+	find . -name '.dists' -delete
