## freeciv 2.4.4

=== debian/changelog ===
freeciv (2.4.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Just build-depend on libpng-dev.
  * Enable sqlite3 authentication support for freeciv-server and
    pass --enable-fcdb=sqlite3 to configure options. Add libsqlite3-dev to
    Build-Depends. (Closes: #769909)

 -- Markus Koschany <apo@gambaru.de>  Thu, 12 Feb 2015 20:53:00 +0100

freeciv (2.4.4-1) experimental; urgency=medium

  * Imported Upstream version 2.4.4.
  * Drop the following patches. They were merged upstream.
    - BindAll.patch
    - add-keywords-to-desktop-files.patch
    - empty-governments.patch
  * Drop increase_minimum_citydlg.patch and use upstream values again.
  * Add liblzma-dev to Build-Depends and support xz compression.
    (Closes: #769906)

 -- Markus Koschany <apo@gambaru.de>  Sun, 07 Dec 2014 15:47:05 +0100
