=== debian/control ===
--- 
+++ 
@@ -22,10 +22,12 @@
  libgtk-3-dev,
  libgtk2.0-dev,
  liblua5.1-0-dev,
- libpng-dev | libpng12-dev,
+ liblzma-dev,
+ libpng-dev,
  libreadline-dev,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
+ libsqlite3-dev,
  libtolua++5.1-dev,
  libtolua-dev,
  libx11-dev,
@@ -64,7 +66,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- freeciv-server (= ${binary:Version}),
+ freeciv-server (= ${binary:Version})
 Suggests:
  freeciv-client-extras,
  freeciv-sound
