=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,8 @@
 		--with-ggz-client=no \
 		--enable-ipv6=yes \
 		--enable-sys-lua \
-		--disable-silent-rules
+		--disable-silent-rules \
+		--enable-fcdb=sqlite3
 
 override_dh_auto_build-indep:
 	convert -monitor data/icons/32x32/freeciv-client.png freeciv.xpm
