## freeciv 2.5.1

=== win32/installer/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #
 # 1. download and extract the MinGW build environment from
 #    http://download.gna.org/freeciv/packages/windows/gnuwin32/
+#    Current version is gnuwin32-2015-02-25.
 # 2. double click on "gnuwin32/msys.bat"
 # 3. install the development packages:
 #    $ hg qpush -a
@@ -24,12 +25,24 @@
 #
 
 
-# build all installers
-
-all: 
-	make GUI=gtk3 installer-gtk3
-	make GUI=gtk2 installer-gtk2
-	make GUI=sdl installer-sdl
+# by default build all installers
+all: gtk3-installer gtk2-installer sdl-installer qt-installer
+
+gtk3-installer:
+	make GUI=gtk3 FCMP=gtk3 wrap-gtk3
+
+gtk2-installer:
+	make GUI=gtk2 FCMP=gtk2 wrap-gtk2
+
+sdl-installer:
+	make GUI=sdl FCMP=gtk2 wrap-sdl
+
+qt-installer:
+	make GUI=qt FCMP=qt wrap-qt
+
+snapshot:
+	cd ../.. ; ./autogen.sh --no-configure-run
+	make EXTRA_CONFIG="--enable-svnrev" all
 
 
 # build Freeciv
@@ -38,7 +51,7 @@
 	# create build directory
 	mkdir -p build-$(GUI)
 	# configure
-	cd build-$(GUI); ../../../configure --enable-client=$(GUI) --with-followtag="win32" --enable-fcdb=sqlite3 --enable-fcmp=gtk2
+	cd build-$(GUI); ../../../configure --enable-client=$(GUI) --with-followtag="win32" --enable-fcdb=sqlite3 --enable-fcmp=$(FCMP) $(EXTRA_CONFIG)
 	# make
 	make -C build-$(GUI)
 
@@ -48,6 +61,7 @@
 
 build-freeciv-sdl: build-freeciv-common
 
+build-freeciv-qt: build-freeciv-common
 
 # install Freeciv
 
@@ -63,10 +77,10 @@
 	mv install-$(GUI)/usr/local/share/doc install-$(GUI)/doc
 	# delete unneeded files
 	rm -r install-$(GUI)/usr
-	# strip 'freeciv-manual' and 'freeciv-modpack' executables
+	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
 	strip install-$(GUI)/freeciv-m*
 	# add start menu files
-	cp freeciv-server.cmd freeciv-modpack.cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/
+	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/
 
 install-freeciv-gtk3: install-freeciv-common
 
@@ -81,6 +95,7 @@
 	cp /opt/un-fonts/UnDotum.ttf install-sdl/data/themes/gui-sdl/human/
 	cp /opt/un-fonts/COPYING install-sdl/data/themes/gui-sdl/human/COPYING.UnDotum
 
+install-freeciv-qt: install-freeciv-common
 
 # install Freeciv environment
 
@@ -115,7 +130,6 @@
 	libogg-0.dll \
 	libpango-1.0-0.dll \
 	libpangocairo-1.0-0.dll \
-	libpangoft2-1.0-0.dll \
 	libpangowin32-1.0-0.dll \
 	libpixman-1-0.dll \
 	libpng14-14.dll \
@@ -133,11 +147,26 @@
 	# add DLLs
 	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-$(GUI)
 
+GTK3_DLLS := \
+	libgdk-3-0.dll \
+	libgtk-3-0.dll
+
+install-env-gtk3: install-env-common
+	cp -R $(addprefix /bin/, $(GTK3_DLLS)) install-$(GUI)
+	# add additional GTK+3 files
+	mkdir -p install-$(GUI)/etc
+	cp -R /etc/gtk-3.0 install-$(GUI)/etc/
+	mkdir -p install-$(GUI)/lib/gtk-3.0/
+	cp -R /lib/gtk-3.0/3.0.0 install-$(GUI)/lib/gtk-3.0/
+	cp -R /share/locale install-$(GUI)/share/
+	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk30.mo -delete
+
 DEFAULT_FCMP_DLLS := \
 	libgdk-win32-2.0-0.dll \
 	libgtk-win32-2.0-0.dll
 
 install-env-default-fcmp: install-env-common
+	# add DLLs
 	cp -R $(addprefix /bin/, $(DEFAULT_FCMP_DLLS)) install-$(GUI)
 	# add additional GTK+2 files
 	mkdir -p install-$(GUI)/etc
@@ -145,33 +174,33 @@
 	mkdir -p install-$(GUI)/lib/gtk-2.0/
 	cp -R /lib/gtk-2.0/2.10.0 install-$(GUI)/lib/gtk-2.0/
 	cp -R /share/locale install-$(GUI)/share/
-	find install-$(GUI)/share/locale -type f -not -name freeciv.mo -and -not -name gtk30.mo -and -not -name gtk20.mo -delete
-
-GTK3_DLLS := \
-	libgdk-3-0.dll \
-	libgtk-3-0.dll
-
-install-env-gtk3: install-env-default-fcmp
-	# add DLLs
-	cp -R $(addprefix /bin/, $(GTK3_DLLS)) install-$(GUI)
-	# add additional GTK+3 files
-	mkdir -p install-$(GUI)/etc
-	cp -R /etc/gtk-3.0 install-$(GUI)/etc/
-	mkdir -p install-$(GUI)/lib/gtk-3.0/
-	cp -R /lib/gtk-3.0/3.0.0 install-$(GUI)/lib/gtk-3.0/
-	cp -R /share/locale install-$(GUI)/share/
-	find install-$(GUI)/share/locale -type f -not -name freeciv.mo -and -not -name gtk30.mo -delete
+	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk20.mo -delete
 
 install-env-gtk2: install-env-default-fcmp
 
 SDL_DLLS := \
 	libpng12-0.dll \
-	SDL_image.dll
+	libSDL_gfx-15.dll \
+	SDL_image.dll \
+	SDL_ttf.dll
 
 install-env-sdl: install-env-default-fcmp
 	# add DLLs
 	cp -R $(addprefix /bin/, $(SDL_DLLS)) install-$(GUI)
 
+QT_DLLS := \
+	libstdc++-6.dll \
+	Qt5Core.dll \
+	Qt5Gui.dll \
+	Qt5Widgets.dll
+
+install-env-qt: install-env-common
+	# add DLLs
+	cp -R $(addprefix /bin/, $(QT_DLLS)) install-$(GUI)
+	# add additional Qt files
+	cp -R /plugins install-$(GUI)/
+	cp -R /share/locale install-$(GUI)/share/
+	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete
 
 # build installer
 	
@@ -184,11 +213,13 @@
 	mkdir -p Output
 	makensis Freeciv-$(FREECIV_VERSION)-$(GUI).nsi
 
-installer-gtk3: build-freeciv-gtk3 installer-common
-
-installer-gtk2: build-freeciv-gtk2 installer-common
-
-installer-sdl: build-freeciv-sdl installer-common
+wrap-gtk3: build-freeciv-gtk3 installer-common
+
+wrap-gtk2: build-freeciv-gtk2 installer-common
+
+wrap-sdl: build-freeciv-sdl installer-common
+
+wrap-qt: build-freeciv-qt installer-common
 
 
 # cleanup
@@ -207,3 +238,4 @@
 	make GUI=gtk3 clean-build-common clean-install-common clean-installer-common
 	make GUI=gtk2 clean-build-common clean-install-common clean-installer-common
 	make GUI=sdl clean-build-common clean-install-common clean-installer-common
+	make GUI=qt clean-build-common clean-install-common clean-installer-common
