=== debian/changelog ===
freeciv (2.5.1-1) unstable; urgency=medium

  * Imported Upstream version 2.5.1.
  * debian/rules: Add get-orig-source target.
  * Drop remove-non-existent-category-key.patch. Merged upstream.
  * debian/rules: Build without hardening build flag -pie.
    This is a workaround for http://gna.org/bugs/?23797
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@gambaru.de>  Wed, 19 Aug 2015 13:28:28 +0200

freeciv (2.5.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Revert "Remove libbz2-dev from Build-Depends." (Closes: #784019)
    This reverts commit d08b1ffb38e0b998c277999dca1561da9263faea.
  * debian/copyright: Add clarification for sikkim.svg and saxony.svg images.
    These files are ineligible for copyright and therefore in the public domain
    because they consist entirely of information that are common property and
    contain no original authorship. The copyright information in the svg
    metadata is therefore wrong and will be corrected in a future upstream
    release.
    Thanks to Thorsten Alteholz for the report. (Closes: #789374)
  * Install freeciv wrapper script into freeciv metapackage.
    Provide a wrapper script to launch the recommended game client with the
    freeciv command.
  * Symlink freeciv-client man page into freeciv metapackage.

 -- Markus Koschany <apo@gambaru.de>  Tue, 23 Jun 2015 14:36:08 +0200

freeciv (2.5.0-2) experimental; urgency=medium

  * Create a separate package and enable the Qt client.
    Thanks to Reiner Herrmann for the patch. (Closes: #780926)
  * Link all client man pages against freeciv-client.6 again.
    This reverts the change from the previous upload. Lintian overrides are no
    longer necessary now.
  * Remove all postinst files because they are obsolete.
  * Remove update-alternatives mechanism and its associated slave links in
    preinst and drop all prerm files.
  * Instead create a freeciv metapackage and always depend on the recommended
    game client. (Closes: #766185)
  * debian/control:
     - Remove all Provides fields.
     - Replace virtual freeciv-sound package with freeciv-sound-standard.
     - Replace virtual freeciv-client package with freeciv.
  * freeciv-client-sdl: Suggest freeciv-client-extras.

 -- Markus Koschany <apo@gambaru.de>  Wed, 29 Apr 2015 22:51:11 +0200

freeciv (2.5.0-1) experimental; urgency=medium

  * Imported Upstream version 2.5.0.
  * Remove dh_autoreconf override and debian/mkinstalldirs script.
    Freeciv can be compiled twice in a row without it now.
  * debian/control:
    - New build-dependencies: libsdl-ttf2.0-dev and libsdl-gfx1.2-dev.
    - Drop xaw3d client. It is unmaintained and obsolete.
    - Remove xaw3d related build dependencies.
    - Switch from liblua5.1-0-dev to liblua5.2-dev.
    - Remove libbz2-dev from Build-Depends.
      We already support xz compression which is a superior compression format.
      Alternatives like gzip are still available.
  * freeciv-client-extras:
    - Do not ship freeciv-manual and corresponding man page anymore because
      they are not considered to be useful for normal users by upstream.
    - Install new freeciv-mp-gtk3 application in freeciv-client-extras.
      It is a replacement for freeciv-modpack.
  * freeciv-client-gtk: Remove GTK-3 client from freeciv-client-gtk and stop
    building it. Upstream considers the GTK-3 client to be experimental.
    However it will be reintroduced later by creating a separate
    freeciv-client-gtk3 package.
  * debian/rules:
    - Remove desktop file hack from debian/rules and use only upstream's
      desktop files.
    - Stop exporting DH_OPTIONS. The magic works anyway.
    - Build --without-freeciv-manual
    - Drop freeciv-stub client and corresponding man pages. It is not of real
      value for most users.
    - Remove all symlinks to freeciv-client man page and install the original,
      client specific man pages instead.
    - Add --with-missinglist option to dh_auto_configure. It is useful for
      discovering features which are left out because of missing dependencies.
  * Add remove-non-existent-category-key.patch and remove non-existent SDL
    category in freeciv-client-sdl.desktop.
  * Update debian/copyright for new release.
  * Add lintian-overrides for client packages and override lintian warnings
    about man page errors. Those are in fact non-issues because Lintian cannot
    detect the real freeciv-client man page in freeciv-data.
  * Update package description of freeciv-client-extras.

 -- Markus Koschany <apo@gambaru.de>  Sun, 15 Mar 2015 16:27:24 +0100
