=== debian/control ===
--- 
+++ 
@@ -21,26 +21,37 @@
  libesd0-dev,
  libgtk-3-dev,
  libgtk2.0-dev,
- liblua5.1-0-dev,
+ liblua5.2-dev,
  liblzma-dev,
  libpng-dev,
  libreadline-dev,
+ libsdl-gfx1.2-dev,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
+ libsdl-ttf2.0-dev,
  libsqlite3-dev,
- libtolua++5.1-dev,
  libtolua-dev,
  libx11-dev,
- libxaw7-dev,
- libxext-dev,
- libxmu-dev,
- libxt-dev,
  python-minimal,
+ qtbase5-dev,
+ qtbase5-dev-tools,
  x11proto-core-dev,
- xaw3dg-dev,
  zlib1g-dev
 Build-Depends-Indep:
  imagemagick
+
+Package: freeciv
+Architecture: all
+Depends:
+ freeciv-client-gtk,
+ freeciv-data (= ${source:Version}),
+ ${misc:Depends}
+Description: Civilization turn based strategy game
+ Freeciv is a free clone of the turn based strategy game Civilization.
+ In this game, each player becomes leader of a civilisation, fighting to
+ obtain the ultimate goal: the extinction of all other civilisations.
+ .
+ This metapackage will install the recommended client to play Freeciv.
 
 Package: freeciv-client-extras
 Architecture: any
@@ -53,10 +64,8 @@
  In this game, each player becomes leader of a civilisation, fighting to
  obtain the ultimate goal: the extinction of all other civilisations.
  .
- This is a collection of supporting scripts and tools which may be
- useful to a Freeciv player. These include:
-  * freeciv-manual: Generate an HTML manual for freeciv-server
-  * freeciv-modpack: GTK+ modpack, ruleset and tileset downloader
+ This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
+ select and download custom rulesets and tilesets for the game.
 
 Package: freeciv-client-gtk
 Architecture: any
@@ -69,18 +78,32 @@
  freeciv-server (= ${binary:Version})
 Suggests:
  freeciv-client-extras,
- freeciv-sound
-Provides:
- freeciv,
- freeciv-client
+ freeciv-sound-standard
 Description: Civilization turn based strategy game (GTK+ client)
  Freeciv is a free clone of the turn based strategy game Civilization.
  In this game, each player becomes leader of a civilisation, fighting to
  obtain the ultimate goal: the extinction of all other civilisations.
  .
- This is the GTK+ 2 and GTK+ 3 version of Freeciv. The GTK+ 3 version is still
- in an experimental state. Please use the GTK+ 2 client which is the most
- sophisticated and recommended client to play the game.
+ This is the GTK+ 2 version of Freeciv. It is the most sophisticated and
+ recommended client to play the game.
+
+Package: freeciv-client-qt
+Architecture: any
+Depends:
+ freeciv-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ freeciv-server (= ${binary:Version})
+Suggests:
+ freeciv-client-extras,
+ freeciv-sound-standard
+Description: Civilization turn based strategy game (Qt client)
+ Freeciv is a free clone of the turn based strategy game Civilization.
+ In this game, each player becomes leader of a civilisation, fighting to
+ obtain the ultimate goal: the extinction of all other civilisations.
+ .
+ This is the Qt version of Freeciv.
 
 Package: freeciv-client-sdl
 Architecture: any
@@ -95,10 +118,8 @@
 Recommends:
  freeciv-server (= ${binary:Version})
 Suggests:
- freeciv-sound
-Provides:
- freeciv,
- freeciv-client
+ freeciv-client-extras,
+ freeciv-sound-standard
 Description: Civilization turn based strategy game (SDL client)
  Freeciv is a free clone of the turn based strategy game Civilization.
  In this game, each player becomes leader of a civilisation, fighting to
@@ -108,28 +129,6 @@
  It is recommended to install the »freeciv-client-gtk« package and to use the
  GTK+ client unless you really want to try this one. The SDL client offers a
  different look&feel but lacks some functionality of the GTK+ client.
-
-Package: freeciv-client-xaw3d
-Architecture: any
-Depends:
- freeciv-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- freeciv-server (= ${binary:Version})
-Suggests:
- freeciv-sound
-Provides:
- freeciv-client
-Description: Civilization turn based strategy game (Xaw3D client)
- Freeciv is a free clone of the turn based strategy game Civilization.
- In this game, each player becomes leader of a civilisation, fighting to
- obtain the ultimate goal: the extinction of all other civilisations.
- .
- This version of Freeciv uses the Xaw3D library. It is recommended to install
- the »freeciv-client-gtk« package and to use the GTK+ client unless you really
- want to try this one. The Xaw3D client offers a different look&feel but lacks
- some functionality of the GTK+ client.
 
 Package: freeciv-data
 Architecture: all
@@ -149,7 +148,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- freeciv-client
+ freeciv
 Description: Civilization turn based strategy game (server files)
  Freeciv is a free clone of the turn based strategy game Civilization.
  In this game, each player becomes leader of a civilisation, fighting to
@@ -161,8 +160,6 @@
 Architecture: all
 Depends:
  ${misc:Depends}
-Provides:
- freeciv-sound
 Description: Civilization turn based strategy game (standard sound pack)
  Freeciv is a free clone of the turn based strategy game Civilization.
  In this game, each player becomes leader of a civilisation, fighting to
