## freeciv 2.5.3

=== win32/installer/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 snapshot:
 	cd ../.. ; ./autogen.sh --no-configure-run
-	make EXTRA_CONFIG="--enable-svnrev" all
+	make VERSION_REVTYPE="svn" EXTRA_CONFIG="--enable-svnrev" all
 
 
 # build Freeciv
@@ -75,6 +75,8 @@
 	mkdir -p install-$(GUI)/share
 	mv install-$(GUI)/usr/local/share/locale install-$(GUI)/share/
 	mv install-$(GUI)/usr/local/share/doc install-$(GUI)/doc
+	mkdir -p install-$(GUI)/debuginfo
+	cp build-$(GUI)/fc_config.h install-$(GUI)/debuginfo
 	# delete unneeded files
 	rm -r install-$(GUI)/usr
 	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
@@ -203,7 +205,7 @@
 	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete
 
 # build installer
-	
+
 installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
 	# extract Freeciv version
 	$(eval FREECIV_VERSION := $(shell ../../fc_version))
