=== debian/changelog ===
freeciv (2.5.3-1) unstable; urgency=medium

  * Imported Upstream version 2.5.3.
  * Drop qt-client-* patches. Applied upstream.

 -- Markus Koschany <apo@debian.org>  Sun, 07 Feb 2016 17:04:49 +0100

freeciv (2.5.2-2) unstable; urgency=medium

  * Vcs-Git: Use https.
  * Add qt-client-HOME-folder.patch and qt-client-save-games-menu.patch.
     - Fix menu item "Save game" being disabled when there are no active units.
     - Fix QFileDialog::getSaveFileName creating $HOME subdirectory.
    Thanks to Günter Heine for the report and the Freeciv developers for
    providing the patches. (Closes: #813107, #813218)
  * Declare compliance with Debian Policy 3.9.7.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Feb 2016 23:43:56 +0100

freeciv (2.5.2-1) unstable; urgency=medium

  * Imported Upstream version 2.5.2.
  * Mark arch:all packages as Multi-Arch: foreign. (Closes: #805181)
  * Vcs-Browser: Use https.
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Wed, 20 Jan 2016 20:52:50 +0100
