=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Jordi Mallach <jordi@debian.org>,
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
- Markus Koschany <apo@gambaru.de>
-Standards-Version: 3.9.6
+ Markus Koschany <apo@debian.org>
+Standards-Version: 3.9.7
 Homepage: http://www.freeciv.org/
-Vcs-Git: git://anonscm.debian.org/pkg-games/freeciv.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/freeciv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/freeciv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freeciv.git
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
@@ -42,6 +42,7 @@
 
 Package: freeciv
 Architecture: all
+Multi-Arch: foreign
 Depends:
  freeciv-client-gtk,
  freeciv-data (= ${source:Version}),
@@ -132,6 +133,7 @@
 
 Package: freeciv-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: Civilization turn based strategy game (game data)
@@ -158,6 +160,7 @@
 
 Package: freeciv-sound-standard
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: Civilization turn based strategy game (standard sound pack)
